.fields
{
    display: flex;
    justify-content: center;
    padding-top: 2%;
}
label {
    cursor: pointer;
}
.generate-button
{   
    display: flex;
    justify-content: center;
}

[type=radio] { 
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

#suggestion-list
{
    padding-top:5%;
}

 /*http://jsfiddle.net/La8wQ/10/ */
 
.cc-selector input{
    margin:0;padding:0;
    -webkit-appearance:none;
       -moz-appearance:none;
            appearance:none;
}



.cc-selector input:active +.drinkcard-cc{opacity: .9;}
.cc-selector input:checked +.drinkcard-cc{
    -webkit-filter: none;
       -moz-filter: none;
            filter: none;
}

.drinkcard-cc{
    text-align: center;
    vertical-align: middle;
    line-height: 70px;
    font-weight: bold;
    border-radius: 10px;
    cursor:pointer;
    background-size:contain;
    background-repeat:no-repeat;
    background-color: grey;
    display:inline-block;
    width:100px;height:70px;
    -webkit-transition: all 100ms ease-in;
       -moz-transition: all 100ms ease-in;
            transition: all 100ms ease-in;
    -webkit-filter: brightness(1.8) grayscale(1) opacity(.7);
       -moz-filter: brightness(1.8) grayscale(1) opacity(.7);
            filter: brightness(1.8) grayscale(1) opacity(.7);
}
.drinkcard-cc:hover{
    -webkit-filter: brightness(1.2) grayscale(.5) opacity(.9);
       -moz-filter: brightness(1.2) grayscale(.5) opacity(.9);
            filter: brightness(1.2) grayscale(.5) opacity(.9);
}